GDB (xrefs)

Static Public Member Functions | List of all members
gdb.command.explore.ExploreUtils Class Reference
Inheritance diagram for gdb.command.explore.ExploreUtils:

## Static Public Member Functions
def | check_args (name, arg_str)
def | get_type_from_str (type_str)
def | get_value_from_str (value_str)
def | check_args (name, arg_str)
def | get_type_from_str (type_str)
def | get_value_from_str (value_str)

## Detailed Description

    Internal class which provides utilities for the main command classes.

Definition at line 583 of file explore.py.

## Member Function Documentation

## ◆ check_args() [1/2]

def gdb.command.explore.ExploreUtils.check_args | ( |  | name,
|  |  | arg_str
| ) |  |
| static

    Utility to check if adequate number of arguments are passed to an
    explore command.

    Arguments:
        name: The name of the explore command.
        arg_str: The argument string passed to the explore command.

    Returns:
        True if adequate arguments are passed, false otherwise.

    Raises:
        gdb.GdbError if adequate arguments are not passed.

Definition at line 587 of file explore.py.

Referenced by gdb.command.explore.ExploreUtils.check_args().

## ◆ check_args() [2/2]

def gdb.command.explore.ExploreUtils.check_args | ( |  | name,
|  |  | arg_str
| ) |  |
| static

    Utility to check if adequate number of arguments are passed to an
    explore command.

    Arguments:
        name: The name of the explore command.
        arg_str: The argument string passed to the explore command.

    Returns:
        True if adequate arguments are passed, false otherwise.

    Raises:
        gdb.GdbError if adequate arguments are not passed.

Definition at line 587 of file explore.py.

References gdb.command.explore.ExploreUtils.check_args().

## ◆ get_type_from_str() [1/2]

def gdb.command.explore.ExploreUtils.get_type_from_str | ( |  | type_str | ) |
| static

    A utility function to deduce the gdb.Type value from a string
    representing the type.

    Arguments:
        type_str: The type string from which the gdb.Type value should be
          deduced.

    Returns:
        The deduced gdb.Type value if possible, None otherwise.

Definition at line 609 of file explore.py.

References gdb.command.explore.ExploreUtils.get_type_from_str().

## ◆ get_type_from_str() [2/2]

def gdb.command.explore.ExploreUtils.get_type_from_str | ( |  | type_str | ) |
| static

    A utility function to deduce the gdb.Type value from a string
    representing the type.

    Arguments:
        type_str: The type string from which the gdb.Type value should be
          deduced.

    Returns:
        The deduced gdb.Type value if possible, None otherwise.

Definition at line 609 of file explore.py.

Referenced by gdb.command.explore.ExploreUtils.get_type_from_str().

## ◆ get_value_from_str() [1/2]

def gdb.command.explore.ExploreUtils.get_value_from_str | ( |  | value_str | ) |
| static

    A utility function to deduce the gdb.Value value from a string
    representing the value.

    Arguments:
        value_str: The value string from which the gdb.Value value should
           be deduced.

    Returns:
        The deduced gdb.Value value if possible, None otherwise.

Definition at line 632 of file explore.py.

Referenced by gdb.command.explore.ExploreUtils.get_value_from_str().

## ◆ get_value_from_str() [2/2]

def gdb.command.explore.ExploreUtils.get_value_from_str | ( |  | value_str | ) |
| static

    A utility function to deduce the gdb.Value value from a string
    representing the value.

    Arguments:
        value_str: The value string from which the gdb.Value value should
           be deduced.

    Returns:
        The deduced gdb.Value value if possible, None otherwise.

Definition at line 632 of file explore.py.

References gdb.command.explore.ExploreUtils.get_value_from_str().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/command/explore.py